Package com.tibco.patterns.deduplication

## Enum SearcherStatus

- java.lang.Object
- - java.lang.Enum<SearcherStatus>
  - - com.tibco.patterns.deduplication.SearcherStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SearcherStatus>`

      public enum SearcherStatus
      extends java.lang.Enum<SearcherStatus>

  Possible statuses of a deduplication search worker.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EXIT_COMPLETE` | The worker is done, with no error.
    `EXIT_ERROR` | The worker is done, because it encountered an error.
    `EXIT_INTERRUPT` | The worker is done, because it was interrupted.
    `RUNNING` | The worker is actively performing searches.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getValue()` | Get the integer value of a SearcherStatus
    `static SearcherStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SearcherStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RUNNING

          public static final SearcherStatus RUNNING

      The worker is actively performing searches.

    - #### EXIT_COMPLETE

          public static final SearcherStatus EXIT_COMPLETE

      The worker is done, with no error.

    - #### EXIT_INTERRUPT

          public static final SearcherStatus EXIT_INTERRUPT

      The worker is done, because it was interrupted.

    - #### EXIT_ERROR

          public static final SearcherStatus EXIT_ERROR

      The worker is done, because it encountered an error.

  - ### Method Detail

    - #### values

          public static SearcherStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearcherStatus c : SearcherStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearcherStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of a SearcherStatus
      Returns:
        the integer value of a SearcherStatus